Bug 287731 - NameError: global name 'ksdata' is not defined
NameError: global name 'ksdata' is not defined
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-12 11:14 EDT by Eric Paris
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-09 03:35:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2007-09-12 11:14:38 EDT
Running revisor out of F7 or rawhide I get

Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/revisor/lm_network.py", line 472, in
  File "/usr/lib/python2.5/site-packages/revisor/lm_network.py", line 384, in
    nd = self.cfg.ksobj._NetworkData()
  File "/usr/lib/python2.5/site-packages/revisor/kickstart.py", line 122, in
    if hasattr(self,"ksdata"):
NameError: global name 'ksdata' is not defined

right after picking my network settings (also use NetworkManager is greyed out
even though it is installed, but that's a different problem)

Looks like like 122 is:
    def _NetworkData(self):
        if hasattr(self,ksdata):
            ks_net_data = pykickstart.data.KickstartNetworkData()

but line 122 should be:
    def _NetworkData(self):
        if hasattr(self,"ksdata"):
            ks_net_data = pykickstart.data.KickstartNetworkData()
Comment 1 Jonathan Steffan 2007-10-09 03:35:00 EDT
This issue was fixed in git:


Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.